API Docs
API referenceTeam

List accounts

GET/api/v2/team/accounts

One account per settlement currency, with its balance and deposit instructions. Never paged. Needs team:read.

Response Body

Success

application/json
  1. response
object*"list"

Type of the object. Always list.

Value in"list"
data*array<>

Every item. This list is never paged.

Example Request
curl -X GET 'https://www.talentir.com/api/v2/team/accounts'
Example Response
{  "object": "list",  "data": [    {      "object": "account",      "currency": "USD",      "payoutsEnabled": true,      "balance": {        "total": "100.00",        "reserved": "100.00",        "available": "100.00"      },      "allowance": {        "limit": "100.00",        "used": "100.00",        "resetsAt": "2026-09-24T10:00:00.000Z"      },      "depositInstructions": [        {          "type": "sepa",          "iban": "string",          "bic": "string",          "ownership": "dedicated",          "beneficiary": "string",          "bankName": "string",          "bankAddress": "string",          "reference": "string"        }      ]    }  ]}